# get less()

## `Inequality.prototype.less`

The [`get`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Functions/get) accessor obtains from the private [`#less`](/range-1/inequality/properties/less.md) property an instance of the [`Less`](/range-1/less/overview.md) with a [primitive value](/range-1/less/methods/valueof.md) from a given [`value`](/range-1/inequality/constructor.md#value-value) of the [`Inequality`](/range-1/inequality/overview.md) constructor.

{% code title="inequality.class.ts" %}

```typescript
public get less(): Less<Value> {
  return this.#less;
}
```

{% endcode %}

### Return type

#### `Less<`[<mark style="color:green;">`Value`</mark>](/range-1/inequality/generic-type-variables.md#inequality-less-than-value-greater-than)`>`

The **return type** is the [`Less`](/range-1/less/overview.md) [primitive wrapper](https://developer.mozilla.org/en-US/docs/Glossary/Primitive#primitive_wrapper_objects_in_javascript) object that takes the generic type variable [`Value`](/range-1/inequality/generic-type-variables.md#inequality-less-than-value-greater-than) of the [`Inequality`](/range-1/inequality/overview.md) object.

### Returns

The **return value** is the [`Less`](/range-1/less/overview.md) instance with a [primitive value](/range-1/greater/methods/valueof.md) from the given [`value`](/range-1/inequality/constructor.md#value-value) of the [`Inequality`](/range-1/inequality/overview.md) constructor.

## Example usage

```typescript
// Example usage.
import { Inequality } from '@angular-package/range';

// Define the `Year` class and extend it with `Inequality`.
class Year<Value extends number> extends Inequality<Value> {}

// Initialize `Year`.
const year = new Year(1981);

// Returns Year {1981} of Year<1981>.
year;

// Returns Less {1981} of Less<1981>
year.less;

// Returns `true`.
year.less.than(1982);

// Returns `false`.
year.less.thanEvery(1981, 1982, 1983);

// Returns `false`.
year.less.thanSome(1981, 1980, 1979);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.angular-package.dev/range-1/inequality/accessors/get-less.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
